summaryrefslogtreecommitdiff
path: root/tests/install/create-leading
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install/create-leading')
-rwxr-xr-xtests/install/create-leading4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/install/create-leading b/tests/install/create-leading
index 8cfb0205f..fd7a5f7ff 100755
--- a/tests/install/create-leading
+++ b/tests/install/create-leading
@@ -1,7 +1,7 @@
#! /bin/sh
# Test -D option.
-# Copyright (C) 2000, 2001 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2001, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@ fi
pwd=`pwd`
dir=install-D$$
-trap "cd $pwd; rm -rf $dir" 0 1 2 3 15
+trap 'cd "$pwd" && rm -rf $dir' 0 1 2 3 15
mkdir $dir